> For the complete documentation index, see [llms.txt](https://docs.soda.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soda.io/soda-documentation/soda-v3/reporting-api-v1/authentication-1.md).

# Authentication

## Get token

> This enpoint allows you to obtain a limited duration API token to use in any of the other endpoints.\
> \
> Make a query to this endpoint according to the \`HTTPBasic\` authentication headers\
> (see "Live testing" section on the right).\
> \
> The expiration limit of the token is given to you in the response.\
> \
> Returns\
> \-------\
> An object of type \`GetTokenResult\`.\
> \
> Find details about the response objects in the \*\*Schemas\*\* section or by unfurling the response\
> details.

```json
{"openapi":"3.0.2","info":{"title":"Soda Cloud Reporting API","version":"1.3.1"},"servers":[{"url":"https://reporting.cloud.soda.io/v1","description":"Cloud EU"},{"url":"https://reporting.cloud.us.soda.io/v1","description":"Cloud US"}],"security":[{"HTTPBasic":[]}],"components":{"securitySchemes":{"HTTPBasic":{"type":"http","scheme":"basic"}},"schemas":{"GetTokenResult":{"title":"GetTokenResult","type":"object","properties":{"user":{"title":"User","type":"string","description":"User's username (email addess used at sign up)."},"token":{"title":"Token","type":"string","description":"\n            API Token to use for authentication. This token expires. Its expiration is also provided in the response.\n            "},"organization_id":{"title":"Organization Id","type":"string","description":"Identifier (UUID) of an organization in Soda Cloud."},"expires_in":{"title":"Expires In","type":"integer","description":"Token's expiration time in seconds."}},"description":"Soda Cloud API token and organisation ID information to use in this API's endpoints."}}},"paths":{"/get_token":{"get":{"tags":["Authentication"],"summary":"Get token","description":"This enpoint allows you to obtain a limited duration API token to use in any of the other endpoints.\n\nMake a query to this endpoint according to the `HTTPBasic` authentication headers\n(see \"Live testing\" section on the right).\n\nThe expiration limit of the token is given to you in the response.\n\nReturns\n-------\nAn object of type `GetTokenResult`.\n\nFind details about the response objects in the **Schemas** section or by unfurling the response\ndetails.","operationId":"get_token_get_token_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTokenResult"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soda.io/soda-documentation/soda-v3/reporting-api-v1/authentication-1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
